Bug 92934 - I18N - Turkish characters get munged when stored on a en_US local machine.
I18N - Turkish characters get munged when stored on a en_US local machine.
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
5.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-22 08:34 UTC by gkbrown22
Modified: 2007-11-05 13:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gkbrown22 2007-01-22 08:34:59 UTC
Some characters in Turkish are not being perserved when created and saved on a
en_US machine that has turkish enabled as a second langauge. The characters are
entered without problem but they end up coming back incorrectly displayed. 

I can fix the characters and they remain as they should but once the ide is
closed  and reopened the characters are no longer recognized.

My systems is set to use Turkish as the default language for non-unicoded programs.

-glen
Comment 1 Jiri Prox 2007-01-22 08:52:34 UTC
Can you provide screenshot, please?
Comment 2 Vitezslav Stejskal 2007-02-01 08:26:05 UTC
Glen, what files are you working with (eg. .java, .properties)? How do the
characters look like after save/restart/open? This is probably a duplicate of
issue #75906 (problems with encoding of .properties files). Please, give us more
information otherwise we won't be able to diagnose the problem. Thanks.
Comment 3 Ken Frank 2007-02-01 15:38:21 UTC
Can you elaborate more about Turkish as a second language and en_US machine ?
Does it mean your regional settings first tab is set to english and the
third tab is set to Turkish for non unicode programs ?

For other apps or programs, using this setup, do the Turkish characters
show ok ?

I wonder how windows determines what a non unicode program is, so that it can
then use the native chars, and also on third tab it mentions showing menus
and dialogs in that language but its not clear if it refers to windows own
menus and dialogs or those of application user is using. 

ken.frank@sun.com
Comment 4 Miloslav Metelka 2007-02-26 20:01:45 UTC
I'm wondering whether on a native Turkish environment the byte-to-char
converters aren't set to save in a Turkish-specific ISO set (e.g. it's ISO8859-2
for Czech) while on Turkish-enabled English env it would be UTF-8.
Glen could you please run
http://editor.netbeans.org/files/documents/17/132/list-properties.jar
and attach output from both setups to this issue? Thanks.
Comment 5 gkbrown22 2007-03-06 08:51:54 UTC
Sorry for my slow response. I have figured out how to make the characters stıck.
Specifically I have to go the properties of each file and make that file a UTF8
file. I do have the default project encoding set but that does not seem to make
the encoding of new class files etc. the project default. This is where I became
confused. Once I realized that the default encoding wasn't being applied to the
new files I was creating and I went and applied that encoding to these files the
problem stopped. 



To respond to all the questions below:
1)I am working with .java files.
2)The characters are ok until I close and reopen the file then the characters,
specifically un-dotted i's (ı) no longer appear correctly. 
3)I have added Turkish to my computer as a language so I can choose to type in
Turkish characters. I have also set windows so it will treat non-unicode
programs so they will use the Turkish language/character set. 
4)When I tried to run the jar file mentioned below I didn't get any output. What
 do I need to do to correct that?
Comment 6 Ken Frank 2007-03-06 15:54:28 UTC
for my comments here, lets get confirmation first from developers on my statements:

I don't think the model for ide as to encoding handling and display
of characters from other locales, in general is where one is
in en locale and using characters from other locale vs
one being in a given locale and using characters from that locale.

Glen, do the problems you mention happen if you are fully in Turkish
locale ie windows regional settings first and third tab of xp
set to Turkish ?  I just want to make sure if it happens in this situation.


As to the project default encoding, aside from the encoding of the locale
the user is in, I don't think there is yet a project settable encoding but
believe it is in process for next release.

ken.frank@sun.com
 
Comment 7 Ken Frank 2007-05-30 05:10:15 UTC
more on the dottted i situation that might be cause - as per info in other issues
related to Turkish locale only:

usually a missing Locale.ENGLISH param in some
String.to{Upper,Lower}Case, making code get confused by the Turkish dotted vs.
undotted 'I'.

ken.frank@sun.com
Comment 8 Miloslav Metelka 2007-08-06 10:54:47 UTC
Glen, the http://editor.netbeans.org/files/documents/17/132/list-properties.jar needs to be downloaded and then run with
"java -jar".
In 5.5 there was an individual setting for each java source file but for newly created file the property was IIRC not
set (it was empty) so the code defaulted to using of the "file.encoding" property (should be listed by the jar above).

In NB6.0 there is a project-level encoding instead in project's properties. Please check whether it works for you, I
guess you will want to leave it to be set to UTF-8 or you may set some Turkish supporting encoding there. I expect it to
work fine if not please reopen the issue. Thanks.
Comment 9 Ken Frank 2007-09-29 02:37:41 UTC
to issue filer - is it ok for you now with nb6, that has property for project encoding
(and not any more prop for encoding of each java file) ?

ken.frank@sun.com


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo